import { ContentConfig } from "/@/components/PageContent";
import { httpList } from "/@/api/invoiceInOut/adjustOrder";
import { renderIconLabelLeft } from "/@/utils/columnRenderHelper";

const columns = [
  {
    type: 'selection',
    width: 40
  },
  {
    label: "调整单编号",
    prop: "checkCode",
    width: 150,
    fixed: "left"
  },
  {
    label: "来源单号", 
    prop: "code",
    width: 160
  },
  {
    label: "发票明细ID",
    prop: "itemid",
    width: 100
  },
  {
    label: "商品编号",
    prop: "goodNo",
    width: 160
  },
  {
    label: "商品名称",
    prop: "goodName",
    width: 140,
    showOverflowTooltip: true
  },
  {
    label: '购买方公司',
    width: 150,
    ...renderIconLabelLeft('company_code', 'company_name', '购买方公司纳税号:')
  },
  {
    label: "规格",
    prop: "spec",
    width: 60
  },
  {
    label: "单位",
    prop: "unit",
    width: 60
  },
  {
    label: "税前单价",
    prop: "subprice",
    width: 120,
    align: "right"
  },
  {
    label: "税后单价",
    prop: "price", 
    width: 120,
    align: "right"
  },
  {
    label: "调整数量",
    prop: "num",
    width: 120,
    align: "right"
  },
  {
    label: "调整金额",
    prop: "check_fee",
    width: 120,
    align: "right"
  },
  {
    label: "创建人",
    prop: "check_uname",
    width: 100
  },
  {
    label: "操作",
    fixed: "right",
    width: 50,
    slot: "operation"
  }
];

const contentConfig: ContentConfig = {
  columns,
  title: "调整单管理",
  permissions: ["007"],
  companyProp: 'company_code',
  apis: { httpList, httpAdd: true }
};

export default contentConfig;
