import { FormConfig } from "/@/components/PageSearch";
import { goodTypeOptions, statusList } from "/@/utils/status";
import { basicStatusOptions, goodSourceOptions } from "/@/views/invoiceInOut/productManager/config/columns";

const searchFormConfig: FormConfig = {
  formItems: [
    {
      field: "timer",
      type: "date_picker",
      otherOptions: {
        type: "daterange",
        startProp: "start",
        endProp: "end",
        startPlaceholder: "创建开始时间",
        endPlaceholder: "创建结束时间"
      }
    },
    {
      field: 'good_type',
      type: 'select',
      options: goodTypeOptions,
      placeholder: '商品类型'
    },
    {
      type: 'select',
      placeholder: '成本类型',
      field: 'basic_status',
      options: basicStatusOptions,
      otherOptions: { disabled: true }
    },
    {
      type: 'select',
      placeholder: '商品来源',
      field: 'good_source',
      options: goodSourceOptions
    },
    {
      field: "status",
      type: "select",
      placeholder: '状态',
      options: statusList,
      otherOptions: { disabled: true}
    },
    {
      field: 'skuCode',
      type: 'input',
      placeholder: '商品编码'
    },
  ]
};

export default searchFormConfig;
